Update a filed document
curl --request POST \
--url https://api.platform.arb.inc/filings/documents/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00125",
"filingID": "14",
"fields": {
"title": "Amended Motion to Dismiss",
"description": "Updated summary after review",
"docketNumber": "2025-00123"
}
}
'import requests
url = "https://api.platform.arb.inc/filings/documents/update"
payload = {
"caseID": "2025-08-00125",
"filingID": "14",
"fields": {
"title": "Amended Motion to Dismiss",
"description": "Updated summary after review",
"docketNumber": "2025-00123"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseID: '2025-08-00125',
filingID: '14',
fields: {
title: 'Amended Motion to Dismiss',
description: 'Updated summary after review',
docketNumber: '2025-00123'
}
})
};
fetch('https://api.platform.arb.inc/filings/documents/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Document successfully updated""document not found""document cannot be updated because it's already been added to the docket""document cannot be updated because it's currently submitted for approval""You are registered as an observer and cannot file documents in this case"{
"validationErrors": [
{
"field": "title",
"message": "title is required"
},
{
"field": "docketNumber",
"message": "docketNumber must be numeric"
}
]
}filings
Update a filed document
Updates a document in a case with new field values.
POST
/
filings
/
documents
/
update
Update a filed document
Authorizations
access token
Body
application/json
The case ID the document belongs to.
Example:
"2025-08-00125"
The filing ID of the document to update.
Example:
"14"
Key-value fields to update on the document.
Show child attributes
Show child attributes
Example:
{
"title": "Amended Motion to Dismiss",
"description": "Updated summary after review",
"docketNumber": "2025-00123"
}
Response
Document successfully updated.
The response is of type string.
Example:
"Document successfully updated"
⌘I